makefiles changes (@top_srcdir@ adjusted)

git-svn-id: https://svn.wxwidgets.org/svn/wx/wxWidgets/trunk@5762 c3d73ce0-8a6f-49c7-b76d-6d57e0e08775
This commit is contained in:
Vadim Zeitlin 2000-01-31 18:31:18 +00:00
parent 2224580a41
commit 48fe83743a
77 changed files with 5160 additions and 92 deletions

View File

@ -1,7 +1,7 @@
# Purpose: makefile for calendar example (UNIX).
# Created: 2000-01-03
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/calendar

View File

@ -9,7 +9,7 @@
#
# Makefile for caret example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/caret

View File

@ -9,7 +9,7 @@
#
# Makefile for checklst example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/checklst

View File

@ -9,7 +9,7 @@
#
# Makefile for config example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/config

887
samples/configure vendored Executable file
View File

@ -0,0 +1,887 @@
#! /bin/sh
# From configure.in Id
# Guess values for system-dependent variables and create Makefiles.
# Generated automatically using autoconf version 2.13
# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
#
# This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.
# Defaults:
ac_help=
ac_default_prefix=/usr/local
# Any additions from configure.in:
# Initialize some variables set by options.
# The variables have the same names as the options, with
# dashes changed to underlines.
build=NONE
cache_file=./config.cache
exec_prefix=NONE
host=NONE
no_create=
nonopt=NONE
no_recursion=
prefix=NONE
program_prefix=NONE
program_suffix=NONE
program_transform_name=s,x,x,
silent=
site=
srcdir=
target=NONE
verbose=
x_includes=NONE
x_libraries=NONE
bindir='${exec_prefix}/bin'
sbindir='${exec_prefix}/sbin'
libexecdir='${exec_prefix}/libexec'
datadir='${prefix}/share'
sysconfdir='${prefix}/etc'
sharedstatedir='${prefix}/com'
localstatedir='${prefix}/var'
libdir='${exec_prefix}/lib'
includedir='${prefix}/include'
oldincludedir='/usr/include'
infodir='${prefix}/info'
mandir='${prefix}/man'
# Initialize some other variables.
subdirs=
MFLAGS= MAKEFLAGS=
SHELL=${CONFIG_SHELL-/bin/sh}
# Maximum number of lines to put in a shell here document.
ac_max_here_lines=12
ac_prev=
for ac_option
do
# If the previous option needs an argument, assign it.
if test -n "$ac_prev"; then
eval "$ac_prev=\$ac_option"
ac_prev=
continue
fi
case "$ac_option" in
-*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
*) ac_optarg= ;;
esac
# Accept the important Cygnus configure options, so we can diagnose typos.
case "$ac_option" in
-bindir | --bindir | --bindi | --bind | --bin | --bi)
ac_prev=bindir ;;
-bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
bindir="$ac_optarg" ;;
-build | --build | --buil | --bui | --bu)
ac_prev=build ;;
-build=* | --build=* | --buil=* | --bui=* | --bu=*)
build="$ac_optarg" ;;
-cache-file | --cache-file | --cache-fil | --cache-fi \
| --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
ac_prev=cache_file ;;
-cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
| --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
cache_file="$ac_optarg" ;;
-datadir | --datadir | --datadi | --datad | --data | --dat | --da)
ac_prev=datadir ;;
-datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
| --da=*)
datadir="$ac_optarg" ;;
-disable-* | --disable-*)
ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
# Reject names that are not valid shell variable names.
if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
{ echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
fi
ac_feature=`echo $ac_feature| sed 's/-/_/g'`
eval "enable_${ac_feature}=no" ;;
-enable-* | --enable-*)
ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
# Reject names that are not valid shell variable names.
if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
{ echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
fi
ac_feature=`echo $ac_feature| sed 's/-/_/g'`
case "$ac_option" in
*=*) ;;
*) ac_optarg=yes ;;
esac
eval "enable_${ac_feature}='$ac_optarg'" ;;
-exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
| --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
| --exec | --exe | --ex)
ac_prev=exec_prefix ;;
-exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
| --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
| --exec=* | --exe=* | --ex=*)
exec_prefix="$ac_optarg" ;;
-gas | --gas | --ga | --g)
# Obsolete; use --with-gas.
with_gas=yes ;;
-help | --help | --hel | --he)
# Omit some internal or obsolete options to make the list less imposing.
# This message is too long to be a string in the A/UX 3.1 sh.
cat << EOF
Usage: configure [options] [host]
Options: [defaults in brackets after descriptions]
Configuration:
--cache-file=FILE cache test results in FILE
--help print this message
--no-create do not create output files
--quiet, --silent do not print \`checking...' messages
--version print the version of autoconf that created configure
Directory and file names:
--prefix=PREFIX install architecture-independent files in PREFIX
[$ac_default_prefix]
--exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
[same as prefix]
--bindir=DIR user executables in DIR [EPREFIX/bin]
--sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
--libexecdir=DIR program executables in DIR [EPREFIX/libexec]
--datadir=DIR read-only architecture-independent data in DIR
[PREFIX/share]
--sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
--sharedstatedir=DIR modifiable architecture-independent data in DIR
[PREFIX/com]
--localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
--libdir=DIR object code libraries in DIR [EPREFIX/lib]
--includedir=DIR C header files in DIR [PREFIX/include]
--oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
--infodir=DIR info documentation in DIR [PREFIX/info]
--mandir=DIR man documentation in DIR [PREFIX/man]
--srcdir=DIR find the sources in DIR [configure dir or ..]
--program-prefix=PREFIX prepend PREFIX to installed program names
--program-suffix=SUFFIX append SUFFIX to installed program names
--program-transform-name=PROGRAM
run sed PROGRAM on installed program names
EOF
cat << EOF
Host type:
--build=BUILD configure for building on BUILD [BUILD=HOST]
--host=HOST configure for HOST [guessed]
--target=TARGET configure for TARGET [TARGET=HOST]
Features and packages:
--disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
--enable-FEATURE[=ARG] include FEATURE [ARG=yes]
--with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
--without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
--x-includes=DIR X include files are in DIR
--x-libraries=DIR X library files are in DIR
EOF
if test -n "$ac_help"; then
echo "--enable and --with options recognized:$ac_help"
fi
exit 0 ;;
-host | --host | --hos | --ho)
ac_prev=host ;;
-host=* | --host=* | --hos=* | --ho=*)
host="$ac_optarg" ;;
-includedir | --includedir | --includedi | --included | --include \
| --includ | --inclu | --incl | --inc)
ac_prev=includedir ;;
-includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
| --includ=* | --inclu=* | --incl=* | --inc=*)
includedir="$ac_optarg" ;;
-infodir | --infodir | --infodi | --infod | --info | --inf)
ac_prev=infodir ;;
-infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
infodir="$ac_optarg" ;;
-libdir | --libdir | --libdi | --libd)
ac_prev=libdir ;;
-libdir=* | --libdir=* | --libdi=* | --libd=*)
libdir="$ac_optarg" ;;
-libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
| --libexe | --libex | --libe)
ac_prev=libexecdir ;;
-libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
| --libexe=* | --libex=* | --libe=*)
libexecdir="$ac_optarg" ;;
-localstatedir | --localstatedir | --localstatedi | --localstated \
| --localstate | --localstat | --localsta | --localst \
| --locals | --local | --loca | --loc | --lo)
ac_prev=localstatedir ;;
-localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
| --localstate=* | --localstat=* | --localsta=* | --localst=* \
| --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
localstatedir="$ac_optarg" ;;
-mandir | --mandir | --mandi | --mand | --man | --ma | --m)
ac_prev=mandir ;;
-mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
mandir="$ac_optarg" ;;
-nfp | --nfp | --nf)
# Obsolete; use --without-fp.
with_fp=no ;;
-no-create | --no-create | --no-creat | --no-crea | --no-cre \
| --no-cr | --no-c)
no_create=yes ;;
-no-recursion | --no-recursion | --no-recursio | --no-recursi \
| --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
no_recursion=yes ;;
-oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
| --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
| --oldin | --oldi | --old | --ol | --o)
ac_prev=oldincludedir ;;
-oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
| --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
| --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
oldincludedir="$ac_optarg" ;;
-prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
ac_prev=prefix ;;
-prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
prefix="$ac_optarg" ;;
-program-prefix | --program-prefix | --program-prefi | --program-pref \
| --program-pre | --program-pr | --program-p)
ac_prev=program_prefix ;;
-program-prefix=* | --program-prefix=* | --program-prefi=* \
| --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
program_prefix="$ac_optarg" ;;
-program-suffix | --program-suffix | --program-suffi | --program-suff \
| --program-suf | --program-su | --program-s)
ac_prev=program_suffix ;;
-program-suffix=* | --program-suffix=* | --program-suffi=* \
| --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
program_suffix="$ac_optarg" ;;
-program-transform-name | --program-transform-name \
| --program-transform-nam | --program-transform-na \
| --program-transform-n | --program-transform- \
| --program-transform | --program-transfor \
| --program-transfo | --program-transf \
| --program-trans | --program-tran \
| --progr-tra | --program-tr | --program-t)
ac_prev=program_transform_name ;;
-program-transform-name=* | --program-transform-name=* \
| --program-transform-nam=* | --program-transform-na=* \
| --program-transform-n=* | --program-transform-=* \
| --program-transform=* | --program-transfor=* \
| --program-transfo=* | --program-transf=* \
| --program-trans=* | --program-tran=* \
| --progr-tra=* | --program-tr=* | --program-t=*)
program_transform_name="$ac_optarg" ;;
-q | -quiet | --quiet | --quie | --qui | --qu | --q \
| -silent | --silent | --silen | --sile | --sil)
silent=yes ;;
-sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
ac_prev=sbindir ;;
-sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
| --sbi=* | --sb=*)
sbindir="$ac_optarg" ;;
-sharedstatedir | --sharedstatedir | --sharedstatedi \
| --sharedstated | --sharedstate | --sharedstat | --sharedsta \
| --sharedst | --shareds | --shared | --share | --shar \
| --sha | --sh)
ac_prev=sharedstatedir ;;
-sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
| --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
| --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
| --sha=* | --sh=*)
sharedstatedir="$ac_optarg" ;;
-site | --site | --sit)
ac_prev=site ;;
-site=* | --site=* | --sit=*)
site="$ac_optarg" ;;
-srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
ac_prev=srcdir ;;
-srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
srcdir="$ac_optarg" ;;
-sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
| --syscon | --sysco | --sysc | --sys | --sy)
ac_prev=sysconfdir ;;
-sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
| --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
sysconfdir="$ac_optarg" ;;
-target | --target | --targe | --targ | --tar | --ta | --t)
ac_prev=target ;;
-target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
target="$ac_optarg" ;;
-v | -verbose | --verbose | --verbos | --verbo | --verb)
verbose=yes ;;
-version | --version | --versio | --versi | --vers)
echo "configure generated by autoconf version 2.13"
exit 0 ;;
-with-* | --with-*)
ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
# Reject names that are not valid shell variable names.
if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
{ echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
fi
ac_package=`echo $ac_package| sed 's/-/_/g'`
case "$ac_option" in
*=*) ;;
*) ac_optarg=yes ;;
esac
eval "with_${ac_package}='$ac_optarg'" ;;
-without-* | --without-*)
ac_package=`echo $ac_option|sed -e 's/-*without-//'`
# Reject names that are not valid shell variable names.
if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
{ echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
fi
ac_package=`echo $ac_package| sed 's/-/_/g'`
eval "with_${ac_package}=no" ;;
--x)
# Obsolete; use --with-x.
with_x=yes ;;
-x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
| --x-incl | --x-inc | --x-in | --x-i)
ac_prev=x_includes ;;
-x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
| --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
x_includes="$ac_optarg" ;;
-x-libraries | --x-libraries | --x-librarie | --x-librari \
| --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
ac_prev=x_libraries ;;
-x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
| --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
x_libraries="$ac_optarg" ;;
-*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
;;
*)
if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
echo "configure: warning: $ac_option: invalid host type" 1>&2
fi
if test "x$nonopt" != xNONE; then
{ echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
fi
nonopt="$ac_option"
;;
esac
done
if test -n "$ac_prev"; then
{ echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
fi
trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
# File descriptor usage:
# 0 standard input
# 1 file creation
# 2 errors and warnings
# 3 some systems may open it to /dev/tty
# 4 used on the Kubota Titan
# 6 checking for... messages and results
# 5 compiler messages saved in config.log
if test "$silent" = yes; then
exec 6>/dev/null
else
exec 6>&1
fi
exec 5>./config.log
echo "\
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
" 1>&5
# Strip out --no-create and --no-recursion so they do not pile up.
# Also quote any args containing shell metacharacters.
ac_configure_args=
for ac_arg
do
case "$ac_arg" in
-no-create | --no-create | --no-creat | --no-crea | --no-cre \
| --no-cr | --no-c) ;;
-no-recursion | --no-recursion | --no-recursio | --no-recursi \
| --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
*" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
ac_configure_args="$ac_configure_args '$ac_arg'" ;;
*) ac_configure_args="$ac_configure_args $ac_arg" ;;
esac
done
# NLS nuisances.
# Only set these to C if already set. These must not be set unconditionally
# because not all systems understand e.g. LANG=C (notably SCO).
# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
# Non-C LC_CTYPE values break the ctype check.
if test "${LANG+set}" = set; then LANG=C; export LANG; fi
if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
# confdefs.h avoids OS command line length limits that DEFS can exceed.
rm -rf conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.h
# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
ac_unique_file=Makefile.in
# Find the source files, if location was not specified.
if test -z "$srcdir"; then
ac_srcdir_defaulted=yes
# Try the directory containing this script, then its parent.
ac_prog=$0
ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
srcdir=$ac_confdir
if test ! -r $srcdir/$ac_unique_file; then
srcdir=..
fi
else
ac_srcdir_defaulted=no
fi
if test ! -r $srcdir/$ac_unique_file; then
if test "$ac_srcdir_defaulted" = yes; then
{ echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
else
{ echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
fi
fi
srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
# Prefer explicitly selected file to automatically selected ones.
if test -z "$CONFIG_SITE"; then
if test "x$prefix" != xNONE; then
CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
else
CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
fi
fi
for ac_site_file in $CONFIG_SITE; do
if test -r "$ac_site_file"; then
echo "loading site script $ac_site_file"
. "$ac_site_file"
fi
done
if test -r "$cache_file"; then
echo "loading cache $cache_file"
. $cache_file
else
echo "creating cache $cache_file"
> $cache_file
fi
ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CPP $CPPFLAGS'
ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
cross_compiling=$ac_cv_prog_cc_cross
ac_exeext=
ac_objext=o
if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
# Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
ac_n= ac_c='
' ac_t=' '
else
ac_n=-n ac_c= ac_t=
fi
else
ac_n= ac_c='\c' ac_t=
fi
trap '' 1 2 15
cat > confcache <<\EOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
# scripts and configure runs. It is not useful on other systems.
# If it contains results you don't want to keep, you may remove or edit it.
#
# By default, configure uses ./config.cache as the cache file,
# creating it if it does not exist already. You can give configure
# the --cache-file=FILE option to use a different cache file; that is
# what configure does when it calls configure scripts in
# subdirectories, so they share the cache.
# Giving --cache-file=/dev/null disables caching, for debugging configure.
# config.status only pays attention to the cache file if you give it the
# --recheck option to rerun configure.
#
EOF
# The following way of writing the cache mishandles newlines in values,
# but we know of no workaround that is simple, portable, and efficient.
# So, don't put newlines in cache variables' values.
# Ultrix sh set writes to stderr and can't be redirected directly,
# and sets the high bit in the cache file unless we assign to the vars.
(set) 2>&1 |
case `(ac_space=' '; set | grep ac_space) 2>&1` in
*ac_space=\ *)
# `set' does not quote correctly, so add quotes (double-quote substitution
# turns \\\\ into \\, and sed turns \\ into \).
sed -n \
-e "s/'/'\\\\''/g" \
-e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
;;
*)
# `set' quotes correctly as required by POSIX, so do not add quotes.
sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
;;
esac >> confcache
if cmp -s $cache_file confcache; then
:
else
if test -w $cache_file; then
echo "updating cache $cache_file"
cat confcache > $cache_file
else
echo "not updating unwritable cache $cache_file"
fi
fi
rm -f confcache
trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
test "x$prefix" = xNONE && prefix=$ac_default_prefix
# Let make expand exec_prefix.
test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
# Any assignment to VPATH causes Sun make to only execute
# the first set of double-colon rules, so remove it if not needed.
# If there is a colon in the path, we need to keep it.
if test "x$srcdir" = x.; then
ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
fi
trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
# Transform confdefs.h into DEFS.
# Protect against shell expansion while executing Makefile rules.
# Protect against Makefile macro expansion.
cat > conftest.defs <<\EOF
s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
s%\[%\\&%g
s%\]%\\&%g
s%\$%$$%g
EOF
DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
rm -f conftest.defs
# Without the "./", some shells look in PATH for config.status.
: ${CONFIG_STATUS=./config.status}
echo creating $CONFIG_STATUS
rm -f $CONFIG_STATUS
cat > $CONFIG_STATUS <<EOF
#! /bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
# $0 $ac_configure_args
#
# Compiler output produced by configure, useful for debugging
# configure, is in ./config.log if it exists.
ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
for ac_option
do
case "\$ac_option" in
-recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
-version | --version | --versio | --versi | --vers | --ver | --ve | --v)
echo "$CONFIG_STATUS generated by autoconf version 2.13"
exit 0 ;;
-help | --help | --hel | --he | --h)
echo "\$ac_cs_usage"; exit 0 ;;
*) echo "\$ac_cs_usage"; exit 1 ;;
esac
done
ac_given_srcdir=$srcdir
trap 'rm -fr `echo "
Makefile
caret/Makefile
calendar/Makefile
checklst/Makefile
config/Makefile
controls/Makefile
console/Makefile
db/Makefile
dialogs/Makefile
docview/Makefile
docvwmdi/Makefile
dnd/Makefile
drawing/Makefile
exec/Makefile
font/Makefile
grid/Makefile
help/Makefile
image/Makefile
internat/Makefile
ipc/Makefile
layout/Makefile
listctrl/Makefile
mdi/Makefile
minifram/Makefile
minimal/Makefile
dialup/Makefile
newgrid/Makefile
notebook/Makefile
png/Makefile
printing/Makefile
proplist/Makefile
propsize/Makefile
richedit/Makefile
resource/Makefile
sashtest/Makefile
scroll/Makefile
scrollsub/Makefile
splitter/Makefile
text/Makefile
thread/Makefile
toolbar/Makefile
treectrl/Makefile
typetest/Makefile
validate/Makefile
sockets/Makefile
wizard/Makefile
html/Makefile
html/about/Makefile
html/help/Makefile
html/printing/Makefile
html/helpview/Makefile
html/test/Makefile
html/zip/Makefile
html/virtual/Makefile
html/widget/Makefile
" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
EOF
cat >> $CONFIG_STATUS <<EOF
# Protect against being on the right side of a sed subst in config.status.
sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
$ac_vpsub
$extrasub
s%@SHELL@%$SHELL%g
s%@CFLAGS@%$CFLAGS%g
s%@CPPFLAGS@%$CPPFLAGS%g
s%@CXXFLAGS@%$CXXFLAGS%g
s%@FFLAGS@%$FFLAGS%g
s%@DEFS@%$DEFS%g
s%@LDFLAGS@%$LDFLAGS%g
s%@LIBS@%$LIBS%g
s%@exec_prefix@%$exec_prefix%g
s%@prefix@%$prefix%g
s%@program_transform_name@%$program_transform_name%g
s%@bindir@%$bindir%g
s%@sbindir@%$sbindir%g
s%@libexecdir@%$libexecdir%g
s%@datadir@%$datadir%g
s%@sysconfdir@%$sysconfdir%g
s%@sharedstatedir@%$sharedstatedir%g
s%@localstatedir@%$localstatedir%g
s%@libdir@%$libdir%g
s%@includedir@%$includedir%g
s%@oldincludedir@%$oldincludedir%g
s%@infodir@%$infodir%g
s%@mandir@%$mandir%g
CEOF
EOF
cat >> $CONFIG_STATUS <<\EOF
# Split the substitutions into bite-sized pieces for seds with
# small command number limits, like on Digital OSF/1 and HP-UX.
ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
ac_file=1 # Number of current file.
ac_beg=1 # First line for current file.
ac_end=$ac_max_sed_cmds # Line after last line for current file.
ac_more_lines=:
ac_sed_cmds=""
while $ac_more_lines; do
if test $ac_beg -gt 1; then
sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
else
sed "${ac_end}q" conftest.subs > conftest.s$ac_file
fi
if test ! -s conftest.s$ac_file; then
ac_more_lines=false
rm -f conftest.s$ac_file
else
if test -z "$ac_sed_cmds"; then
ac_sed_cmds="sed -f conftest.s$ac_file"
else
ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
fi
ac_file=`expr $ac_file + 1`
ac_beg=$ac_end
ac_end=`expr $ac_end + $ac_max_sed_cmds`
fi
done
if test -z "$ac_sed_cmds"; then
ac_sed_cmds=cat
fi
EOF
cat >> $CONFIG_STATUS <<EOF
CONFIG_FILES=\${CONFIG_FILES-"Makefile
caret/Makefile
calendar/Makefile
checklst/Makefile
config/Makefile
controls/Makefile
console/Makefile
db/Makefile
dialogs/Makefile
docview/Makefile
docvwmdi/Makefile
dnd/Makefile
drawing/Makefile
exec/Makefile
font/Makefile
grid/Makefile
help/Makefile
image/Makefile
internat/Makefile
ipc/Makefile
layout/Makefile
listctrl/Makefile
mdi/Makefile
minifram/Makefile
minimal/Makefile
dialup/Makefile
newgrid/Makefile
notebook/Makefile
png/Makefile
printing/Makefile
proplist/Makefile
propsize/Makefile
richedit/Makefile
resource/Makefile
sashtest/Makefile
scroll/Makefile
scrollsub/Makefile
splitter/Makefile
text/Makefile
thread/Makefile
toolbar/Makefile
treectrl/Makefile
typetest/Makefile
validate/Makefile
sockets/Makefile
wizard/Makefile
html/Makefile
html/about/Makefile
html/help/Makefile
html/printing/Makefile
html/helpview/Makefile
html/test/Makefile
html/zip/Makefile
html/virtual/Makefile
html/widget/Makefile
"}
EOF
cat >> $CONFIG_STATUS <<\EOF
for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
# Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
case "$ac_file" in
*:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
*) ac_file_in="${ac_file}.in" ;;
esac
# Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
# Remove last slash and all that follows it. Not all systems have dirname.
ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
# The file is in a subdirectory.
test ! -d "$ac_dir" && mkdir "$ac_dir"
ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
# A "../" for each directory in $ac_dir_suffix.
ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
else
ac_dir_suffix= ac_dots=
fi
case "$ac_given_srcdir" in
.) srcdir=.
if test -z "$ac_dots"; then top_srcdir=.
else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
/*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
*) # Relative path.
srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
top_srcdir="$ac_dots$ac_given_srcdir" ;;
esac
echo creating "$ac_file"
rm -f "$ac_file"
configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
case "$ac_file" in
*Makefile*) ac_comsub="1i\\
# $configure_input" ;;
*) ac_comsub= ;;
esac
ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
sed -e "$ac_comsub
s%@configure_input@%$configure_input%g
s%@srcdir@%$srcdir%g
s%@top_srcdir@%$top_srcdir%g
" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
fi; done
rm -f conftest.s*
EOF
cat >> $CONFIG_STATUS <<EOF
EOF
cat >> $CONFIG_STATUS <<\EOF
exit 0
EOF
chmod +x $CONFIG_STATUS
rm -fr confdefs* $ac_clean_files
test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1

62
samples/configure.in Normal file
View File

@ -0,0 +1,62 @@
dnl Process this file with autoconf to produce a configure script.
AC_REVISION($Id$)dnl
AC_INIT(Makefile.in)
AC_OUTPUT([
Makefile
caret/Makefile
calendar/Makefile
checklst/Makefile
config/Makefile
controls/Makefile
console/Makefile
db/Makefile
dialogs/Makefile
docview/Makefile
docvwmdi/Makefile
dnd/Makefile
drawing/Makefile
exec/Makefile
font/Makefile
grid/Makefile
help/Makefile
image/Makefile
internat/Makefile
ipc/Makefile
layout/Makefile
listctrl/Makefile
mdi/Makefile
minifram/Makefile
minimal/Makefile
dialup/Makefile
newgrid/Makefile
notebook/Makefile
png/Makefile
printing/Makefile
proplist/Makefile
propsize/Makefile
richedit/Makefile
resource/Makefile
sashtest/Makefile
scroll/Makefile
scrollsub/Makefile
splitter/Makefile
text/Makefile
thread/Makefile
toolbar/Makefile
treectrl/Makefile
typetest/Makefile
validate/Makefile
sockets/Makefile
wizard/Makefile
html/Makefile
html/about/Makefile
html/help/Makefile
html/printing/Makefile
html/helpview/Makefile
html/test/Makefile
html/zip/Makefile
html/virtual/Makefile
html/widget/Makefile
])

View File

@ -9,7 +9,7 @@
#
# Makefile for console example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/console

View File

@ -9,7 +9,7 @@
#
# Makefile for controls example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/controls

View File

@ -9,7 +9,7 @@
#
# Makefile for dialogs example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/db

View File

@ -9,7 +9,7 @@
#
# Makefile for dialogs example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/dialogs

View File

@ -9,7 +9,7 @@
#
# Makefile for nettest example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/dialup

View File

@ -9,7 +9,7 @@
#
# Makefile for dnd example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/dnd

View File

@ -9,7 +9,7 @@
#
# Makefile for docview example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/docview

View File

@ -9,7 +9,7 @@
#
# Makefile for docvwmdi example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/docvwmdi

View File

@ -9,7 +9,7 @@
#
# Makefile for drawing example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/drawing

View File

@ -9,7 +9,7 @@
#
# Makefile for dynamic example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/dynamic

View File

@ -9,7 +9,7 @@
#
# Makefile for checklst example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/exec

View File

@ -9,7 +9,7 @@
#
# Makefile for font example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/font

View File

@ -9,7 +9,7 @@
#
# Makefile for toolbar example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/grid

View File

@ -9,7 +9,7 @@
#
# Makefile for toolbar example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/help

View File

@ -9,7 +9,7 @@
#
# Makefile for html about example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../../..
program_dir = samples/html/about

View File

@ -9,7 +9,7 @@
#
# Makefile for html about example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../../..
program_dir = samples/html/help

View File

@ -9,7 +9,7 @@
#
# Makefile for html about example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../../..
program_dir = samples/html/helpview

View File

@ -9,7 +9,7 @@
#
# Makefile for html printing example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../../..
program_dir = samples/html/printing

View File

@ -9,7 +9,7 @@
#
# Makefile for html test example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../../..
program_dir = samples/html/test

View File

@ -9,7 +9,7 @@
#
# Makefile for html virtual example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../../..
program_dir = samples/html/virtual

View File

@ -9,7 +9,7 @@
#
# Makefile for html widget example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../../..
program_dir = samples/html/widget

View File

@ -9,7 +9,7 @@
#
# Makefile for html zip example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../../..
program_dir = samples/html/zip

View File

@ -9,7 +9,7 @@
#
# Makefile for image example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/image

View File

@ -9,7 +9,7 @@
#
# Makefile for internat example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/internat

View File

@ -9,7 +9,7 @@
#
# Makefile for ipc example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/ipc
# the comment at the end of the next line is needed because otherwise autoconf

View File

@ -9,7 +9,7 @@
#
# Makefile for layout example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/layout

View File

@ -9,7 +9,7 @@
#
# Makefile for listctrl example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/listctrl

View File

@ -9,7 +9,7 @@
#
# Makefile for mdi example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/mdi

View File

@ -9,7 +9,7 @@
#
# Makefile for memory checking example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/memcheck

View File

@ -9,7 +9,7 @@
#
# Makefile for minimal example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/menu

View File

@ -9,7 +9,7 @@
#
# Makefile for toolbar example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/minifram

View File

@ -9,7 +9,7 @@
#
# Makefile for minimal example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/minimal

View File

@ -9,7 +9,7 @@
#
# Makefile for new wxGrid example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/newgrid

View File

@ -9,7 +9,7 @@
#
# Makefile for notebook example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/notebook

View File

@ -9,7 +9,7 @@
#
# Makefile for PNG example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/png

View File

@ -9,7 +9,7 @@
#
# Makefile for printing example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/printing

View File

@ -9,7 +9,7 @@
#
# Makefile for proplist example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/proplist

View File

@ -9,7 +9,7 @@
#
# Makefile for wxWindows sample (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/propsize

View File

@ -9,7 +9,7 @@
#
# Makefile for resource example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/resource

View File

@ -9,7 +9,7 @@
#
# Makefile for richedit example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/richedit

View File

@ -9,7 +9,7 @@
#
# Makefile for sashtest example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/sashtest

View File

@ -9,7 +9,7 @@
#
# Makefile for scroll example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/scroll

View File

@ -9,7 +9,7 @@
#
# Makefile for scrollsub example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/scrollsub

View File

@ -9,7 +9,7 @@
#
# Makefile for wxsocket example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/sockets
# the comment at the end of the next line is needed because otherwise autoconf

View File

@ -9,7 +9,7 @@
#
# Makefile for splitter example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/splitter

View File

@ -9,7 +9,7 @@
#
# Makefile for text example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/text

View File

@ -9,7 +9,7 @@
#
# Makefile for thread example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/thread

View File

@ -9,7 +9,7 @@
#
# Makefile for toolbar example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/toolbar

View File

@ -9,7 +9,7 @@
#
# Makefile for treectrl example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/treectrl

View File

@ -9,7 +9,7 @@
#
# Makefile for typetest example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/typetest

View File

@ -9,7 +9,7 @@
#
# Makefile for validate example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/validate

View File

@ -9,7 +9,7 @@
#
# Makefile for wiztest example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/wizard

227
src/files.lst Normal file
View File

@ -0,0 +1,227 @@
# This file was automatically generated by tmake at 19:27, 2000/01/28
# DO NOT CHANGE THIS FILE, YOUR CHANGES WILL BE LOST! CHANGE BASE.T!
ALL_SOURCES = \
common/init.cpp \
common/appcmn.cpp \
common/cmdline.cpp \
common/config.cpp \
common/datetime.cpp \
common/datstrm.cpp \
common/dynarray.cpp \
common/dynlib.cpp \
common/event.cpp \
common/extended.c \
common/ffile.cpp \
common/file.cpp \
common/fileconf.cpp \
common/filefn.cpp \
common/filesys.cpp \
common/hash.cpp \
common/intl.cpp \
common/list.cpp \
common/log.cpp \
common/longlong.cpp \
common/mimecmn.cpp \
common/module.cpp \
common/object.cpp \
common/objstrm.cpp \
common/process.cpp \
common/serbase.cpp \
common/strconv.cpp \
common/stream.cpp \
common/string.cpp \
common/textfile.cpp \
common/timercmn.cpp \
common/tokenzr.cpp \
common/txtstrm.cpp \
common/utilscmn.cpp \
common/variant.cpp \
common/wfstream.cpp \
common/wxchar.cpp \
unix/dir.cpp \
unix/mimetype.cpp \
unix/threadpsx.cpp \
unix/utilsunx.cpp
ALL_HEADERS = \
app.h \
arrimpl.cpp \
buffer.h \
cmdline.h \
confbase.h \
config.h \
date.h \
datetime.h \
datetime.inl \
datstrm.h \
debug.h \
defs.h \
dir.h \
dynarray.h \
dynlib.h \
event.h \
ffile.h \
file.h \
fileconf.h \
filefn.h \
filesys.h \
hash.h \
intl.h \
ioswrap.h \
list.h \
listimpl.cpp \
log.h \
longlong.h \
memconf.h \
memory.h \
mimetype.h \
module.h \
object.h \
objstrm.h \
process.h \
serbase.h \
strconv.h \
stream.h \
string.h \
textfile.h \
thread.h \
time.h \
timer.h \
tokenzr.h \
txtstrm.h \
url.h \
utils.h \
variant.h \
version.h \
wfstream.h \
wx.h \
wxchar.h \
wxprec.h \
unix/mimetype.h \
protocol/file.h \
protocol/ftp.h \
protocol/http.h \
protocol/protocol.h
BASE_OBJS = \
init.o \
appcmn.o \
cmdline.o \
config.o \
datetime.o \
datstrm.o \
dynarray.o \
dynlib.o \
event.o \
extended.o \
ffile.o \
file.o \
fileconf.o \
filefn.o \
filesys.o \
hash.o \
intl.o \
list.o \
log.o \
longlong.o \
mimecmn.o \
module.o \
object.o \
objstrm.o \
process.o \
serbase.o \
strconv.o \
stream.o \
string.o \
textfile.o \
timercmn.o \
tokenzr.o \
txtstrm.o \
utilscmn.o \
variant.o \
wfstream.o \
wxchar.o
BASE_DEPS = \
init.d \
appcmn.d \
cmdline.d \
config.d \
datetime.d \
datstrm.d \
dynarray.d \
dynlib.d \
event.d \
extended.d \
ffile.d \
file.d \
fileconf.d \
filefn.d \
filesys.d \
hash.d \
intl.d \
list.d \
log.d \
longlong.d \
mimecmn.d \
module.d \
object.d \
objstrm.d \
process.d \
serbase.d \
strconv.d \
stream.d \
string.d \
textfile.d \
timercmn.d \
tokenzr.d \
txtstrm.d \
utilscmn.d \
variant.d \
wfstream.d \
wxchar.d
BASE_UNIX_OBJS = \
dir.o \
mimetype.o \
threadpsx.o \
utilsunx.o
BASE_DEPS = \
init.d \
appcmn.d \
cmdline.d \
config.d \
datetime.d \
datstrm.d \
dynarray.d \
dynlib.d \
event.d \
extended.d \
ffile.d \
file.d \
fileconf.d \
filefn.d \
filesys.d \
hash.d \
intl.d \
list.d \
log.d \
longlong.d \
mimecmn.d \
module.d \
object.d \
objstrm.d \
process.d \
serbase.d \
strconv.d \
stream.d \
string.d \
textfile.d \
timercmn.d \
tokenzr.d \
txtstrm.d \
utilscmn.d \
variant.d \
wfstream.d \
wxchar.d

View File

@ -36,7 +36,7 @@
#include "wx/image.h"
#include "wx/module.h"
#include "wx/config.h"
#include "wx/imaglist.h"
#if wxUSE_TOOLTIPS
#include "wx/tooltip.h"
@ -67,7 +67,7 @@ class wxFileIconEntry : public wxObject
{
public:
wxFileIconEntry(int i) { id = i; }
int id;
};
@ -77,11 +77,11 @@ class wxFileIconsTable
public:
wxFileIconsTable();
int GetIconID(const wxString& extension, const wxString& mime = wxEmptyString);
wxImageList *GetImageList() { return &m_ImageList; }
protected:
protected:
wxImageList m_ImageList;
wxHashTable m_HashTable;
};
@ -99,9 +99,9 @@ wxFileIconsTable::wxFileIconsTable() :
m_HashTable.DeleteContents(TRUE);
m_ImageList.Add(wxBitmap(folder_xpm)); // FI_FOLDER
m_ImageList.Add(wxBitmap(deffile_xpm)); // FI_UNKNOWN
if (GetIconID(wxEmptyString, _T("application/x-executable")) == FI_UNKNOWN)
if (GetIconID(wxEmptyString, _T("application/x-executable")) == FI_UNKNOWN)
{ // FI_EXECUTABLE
m_ImageList.Add(wxBitmap(exefile_xpm));
m_ImageList.Add(wxBitmap(exefile_xpm));
m_HashTable.Delete(_T("exe"));
m_HashTable.Put(_T("exe"), new wxFileIconEntry(FI_EXECUTABLE));
}
@ -116,16 +116,16 @@ static wxBitmap CreateAntialiasedBitmap(const wxImage& img)
{
wxImage small(16, 16);
unsigned char *p1, *p2, *ps;
unsigned char mr = img.GetMaskRed(),
mg = img.GetMaskGreen(),
unsigned char mr = img.GetMaskRed(),
mg = img.GetMaskGreen(),
mb = img.GetMaskBlue();
unsigned x, y;
unsigned sr, sg, sb, smask;
p1 = img.GetData(), p2 = img.GetData() + 3 * 32, ps = small.GetData();
small.SetMaskColour(mr, mr, mr);
for (y = 0; y < 16; y++)
{
for (x = 0; x < 16; x++)
@ -147,8 +147,8 @@ static wxBitmap CreateAntialiasedBitmap(const wxImage& img)
sr += p2[0], sg += p2[1], sb += p2[2];
else smask++;
p2 += 3;
if (smask > 2)
if (smask > 2)
ps[0] = ps[1] = ps[2] = mr;
else
ps[0] = sr >> 2, ps[1] = sg >> 2, ps[2] = sb >> 2;
@ -164,18 +164,18 @@ static wxBitmap CreateAntialiasedBitmap(const wxImage& img)
// finds empty borders and return non-empty area of image:
static wxImage CutEmptyBorders(const wxImage& img)
{
unsigned char mr = img.GetMaskRed(),
mg = img.GetMaskGreen(),
unsigned char mr = img.GetMaskRed(),
mg = img.GetMaskGreen(),
mb = img.GetMaskBlue();
unsigned char *dt = img.GetData(), *dttmp;
unsigned w = img.GetWidth(), h = img.GetHeight();
unsigned top, bottom, left, right, i;
bool empt;
#define MK_DTTMP(x,y) dttmp = dt + ((x + y * w) * 3)
#define NOEMPTY_PIX(empt) if (dttmp[0] != mr || dttmp[1] != mg || dttmp[2] != mb) {empt = FALSE; break;}
for (empt = TRUE, top = 0; empt && top < h; top++)
{
MK_DTTMP(0, top);
@ -215,7 +215,7 @@ int wxFileIconsTable::GetIconID(const wxString& extension, const wxString& mime)
if (entry) return (entry -> id);
}
wxFileType *ft = (mime.IsEmpty()) ?
wxFileType *ft = (mime.IsEmpty()) ?
wxTheMimeTypesManager -> GetFileTypeFromExtension(extension) :
wxTheMimeTypesManager -> GetFileTypeFromMimeType(mime);
wxIcon ic;
@ -227,7 +227,7 @@ int wxFileIconsTable::GetIconID(const wxString& extension, const wxString& mime)
}
wxImage img(ic);
delete ft;
int id = m_ImageList.GetImageCount();
if (img.GetWidth() == 16 && img.GetHeight() == 16)
m_ImageList.Add(img.ConvertToBitmap());
@ -419,10 +419,10 @@ void wxFileData::MakeItem( wxListItem &item )
item.ClearAttributes();
if (IsExe()) item.SetTextColour(*wxRED);
if (IsDir()) item.SetTextColour(*wxBLUE);
if (IsDir())
item.m_image = FI_FOLDER;
else if (IsExe())
else if (IsExe())
item.m_image = FI_EXECUTABLE;
else if (m_name.Find(wxT('.')) != wxNOT_FOUND)
item.m_image = g_IconsTable -> GetIconID(m_name.AfterLast(wxT('.')));
@ -524,7 +524,7 @@ void wxFileCtrl::Update()
if (GetColumnCount() > 0)
name_col_width = GetColumnWidth( 0 );
}
ClearAll();
if (my_style & wxLC_REPORT)
{
@ -873,10 +873,10 @@ wxFileDialog::wxFileDialog(wxWindow *parent,
if (m_dialogStyle & wxMULTIPLE)
m_list = new wxFileCtrl( this, ID_LIST_CTRL, m_dir, firstWild, wxDefaultPosition,
wxSize(440,180), s_lastViewStyle | wxSUNKEN_BORDER );
wxSize(440,180), s_lastViewStyle | wxSUNKEN_BORDER );
else
m_list = new wxFileCtrl( this, ID_LIST_CTRL, m_dir, firstWild, wxDefaultPosition,
wxSize(440,180), s_lastViewStyle | wxSUNKEN_BORDER | wxLC_SINGLE_SEL );
wxSize(440,180), s_lastViewStyle | wxSUNKEN_BORDER | wxLC_SINGLE_SEL );
m_list -> ShowHidden(s_lastShowHidden);
mainsizer->Add( m_list, 1, wxEXPAND | wxLEFT|wxRIGHT, 10 );
@ -909,7 +909,7 @@ wxFileDialog::wxFileDialog(wxWindow *parent,
mainsizer->Fit( this );
mainsizer->SetSizeHints( this );
Centre( wxBOTH );
if (m_fileName.IsEmpty())

1000
src/gtk/files.lst Normal file

File diff suppressed because it is too large Load Diff

1000
src/gtk1/files.lst Normal file

File diff suppressed because it is too large Load Diff

995
src/motif/files.lst Normal file
View File

@ -0,0 +1,995 @@
# This file was automatically generated by tmake at 18:14, 2000/01/31
# DO NOT CHANGE THIS FILE, YOUR CHANGES WILL BE LOST! CHANGE MOTIF.T!
ALL_SOURCES = \
generic/busyinfo.cpp \
generic/calctrl.cpp \
generic/caret.cpp \
generic/choicdgg.cpp \
generic/colrdlgg.cpp \
generic/dcpsg.cpp \
generic/dirdlgg.cpp \
generic/fontdlgg.cpp \
generic/grid.cpp \
generic/helpext.cpp \
generic/helphtml.cpp \
generic/helpwxht.cpp \
generic/helpxlp.cpp \
generic/imaglist.cpp \
generic/laywin.cpp \
generic/listctrl.cpp \
generic/logg.cpp \
generic/msgdlgg.cpp \
generic/notebook.cpp \
generic/numdlgg.cpp \
generic/panelg.cpp \
generic/plot.cpp \
generic/printps.cpp \
generic/prntdlgg.cpp \
generic/progdlgg.cpp \
generic/prop.cpp \
generic/propform.cpp \
generic/proplist.cpp \
generic/sashwin.cpp \
generic/scrolwin.cpp \
generic/splitter.cpp \
generic/statline.cpp \
generic/statusbr.cpp \
generic/tabg.cpp \
generic/tbarsmpl.cpp \
generic/textdlgg.cpp \
generic/tipdlg.cpp \
generic/treectrl.cpp \
generic/wizard.cpp \
common/appcmn.cpp \
common/choiccmn.cpp \
common/clipcmn.cpp \
common/cmdline.cpp \
common/cmndata.cpp \
common/config.cpp \
common/ctrlcmn.cpp \
common/ctrlsub.cpp \
common/datetime.cpp \
common/datstrm.cpp \
common/db.cpp \
common/dbtable.cpp \
common/dcbase.cpp \
common/dlgcmn.cpp \
common/dndcmn.cpp \
common/dobjcmn.cpp \
common/docmdi.cpp \
common/docview.cpp \
common/dynarray.cpp \
common/dynlib.cpp \
common/encconv.cpp \
common/event.cpp \
common/extended.c \
common/ffile.cpp \
common/file.cpp \
common/fileconf.cpp \
common/filefn.cpp \
common/filesys.cpp \
common/fontcmn.cpp \
common/fontmap.cpp \
common/framecmn.cpp \
common/fs_inet.cpp \
common/fs_zip.cpp \
common/ftp.cpp \
common/gdicmn.cpp \
common/geometry.cpp \
common/gifdecod.cpp \
common/hash.cpp \
common/helpbase.cpp \
common/http.cpp \
common/imagall.cpp \
common/imagbmp.cpp \
common/image.cpp \
common/imaggif.cpp \
common/imagjpeg.cpp \
common/imagpcx.cpp \
common/imagpng.cpp \
common/imagpnm.cpp \
common/imagtiff.cpp \
common/intl.cpp \
common/ipcbase.cpp \
common/layout.cpp \
common/lboxcmn.cpp \
common/list.cpp \
common/log.cpp \
common/longlong.cpp \
common/memory.cpp \
common/menucmn.cpp \
common/mimecmn.cpp \
common/module.cpp \
common/mstream.cpp \
common/object.cpp \
common/objstrm.cpp \
common/paper.cpp \
common/prntbase.cpp \
common/process.cpp \
common/protocol.cpp \
common/resource.cpp \
common/sckaddr.cpp \
common/sckfile.cpp \
common/sckipc.cpp \
common/sckstrm.cpp \
common/serbase.cpp \
common/sizer.cpp \
common/socket.cpp \
common/strconv.cpp \
common/stream.cpp \
common/string.cpp \
common/tbarbase.cpp \
common/textcmn.cpp \
common/textfile.cpp \
common/timercmn.cpp \
common/tokenzr.cpp \
common/txtstrm.cpp \
common/unzip.c \
common/url.cpp \
common/utilscmn.cpp \
common/valgen.cpp \
common/validate.cpp \
common/valtext.cpp \
common/variant.cpp \
common/wfstream.cpp \
common/wincmn.cpp \
common/wxchar.cpp \
common/wxexpr.cpp \
common/zipstrm.cpp \
common/zstream.cpp \
motif/accel.cpp \
motif/app.cpp \
motif/bitmap.cpp \
motif/bmpbuttn.cpp \
motif/brush.cpp \
motif/button.cpp \
motif/checkbox.cpp \
motif/checklst.cpp \
motif/choice.cpp \
motif/clipbrd.cpp \
motif/colour.cpp \
motif/combobox.cpp \
motif/control.cpp \
motif/cursor.cpp \
motif/data.cpp \
motif/dataobj.cpp \
motif/dc.cpp \
motif/dcclient.cpp \
motif/dcmemory.cpp \
motif/dcscreen.cpp \
motif/dialog.cpp \
motif/filedlg.cpp \
motif/font.cpp \
motif/frame.cpp \
motif/gauge.cpp \
motif/gdiobj.cpp \
motif/gsockmot.c \
motif/icon.cpp \
motif/listbox.cpp \
motif/main.cpp \
motif/mdi.cpp \
motif/menu.cpp \
motif/menuitem.cpp \
motif/minifram.cpp \
motif/msgdlg.cpp \
motif/palette.cpp \
motif/pen.cpp \
motif/radiobox.cpp \
motif/radiobut.cpp \
motif/region.cpp \
motif/scrolbar.cpp \
motif/settings.cpp \
motif/slider.cpp \
motif/spinbutt.cpp \
motif/statbmp.cpp \
motif/statbox.cpp \
motif/stattext.cpp \
motif/textctrl.cpp \
motif/timer.cpp \
motif/toolbar.cpp \
motif/utils.cpp \
motif/window.cpp \
unix/dialup.cpp \
unix/dir.cpp \
unix/fontenum.cpp \
unix/fontutil.cpp \
unix/gsocket.c \
unix/mimetype.cpp \
unix/threadpsx.cpp \
unix/utilsunx.cpp \
html/helpctrl.cpp \
html/helpdata.cpp \
html/helpfrm.cpp \
html/htmlcell.cpp \
html/htmlfilt.cpp \
html/htmlpars.cpp \
html/htmltag.cpp \
html/htmlwin.cpp \
html/htmprint.cpp \
html/m_dflist.cpp \
html/m_fonts.cpp \
html/m_hline.cpp \
html/m_image.cpp \
html/m_layout.cpp \
html/m_links.cpp \
html/m_list.cpp \
html/m_meta.cpp \
html/m_pre.cpp \
html/m_tables.cpp \
html/winpars.cpp
ALL_HEADERS = \
accel.h \
app.h \
arrimpl.cpp \
bitmap.h \
bmpbuttn.h \
brush.h \
buffer.h \
busyinfo.h \
button.h \
calctrl.h \
caret.h \
checkbox.h \
checklst.h \
choicdlg.h \
choice.h \
clipbrd.h \
cmdline.h \
cmndata.h \
colordlg.h \
colour.h \
combobox.h \
confbase.h \
config.h \
control.h \
ctrlsub.h \
cursor.h \
dataobj.h \
date.h \
datetime.h \
datetime.inl \
datstrm.h \
db.h \
dbtable.h \
dc.h \
dcclient.h \
dcmemory.h \
dcprint.h \
dcps.h \
dcscreen.h \
dde.h \
debug.h \
defs.h \
dialog.h \
dialup.h \
dir.h \
dirdlg.h \
dnd.h \
docmdi.h \
docview.h \
dragimag.h \
dynarray.h \
dynlib.h \
encconv.h \
event.h \
expr.h \
ffile.h \
file.h \
fileconf.h \
filedlg.h \
filefn.h \
filesys.h \
font.h \
fontdlg.h \
fontenum.h \
fontmap.h \
fontutil.h \
frame.h \
fs_inet.h \
fs_zip.h \
gauge.h \
gdicmn.h \
gdiobj.h \
geometry.h \
gifdecod.h \
grid.h \
gsocket.h \
hash.h \
help.h \
helpbase.h \
helphtml.h \
helpwin.h \
helpxlp.h \
icon.h \
imagbmp.h \
image.h \
imaggif.h \
imagjpeg.h \
imaglist.h \
imagpcx.h \
imagpng.h \
imagpnm.h \
imagtiff.h \
intl.h \
ioswrap.h \
ipcbase.h \
isql.h \
isqlext.h \
joystick.h \
layout.h \
laywin.h \
list.h \
listbox.h \
listctrl.h \
listimpl.cpp \
log.h \
longlong.h \
matrix.h \
mdi.h \
memconf.h \
memory.h \
menu.h \
menuitem.h \
metafile.h \
mimetype.h \
minifram.h \
module.h \
msgdlg.h \
mstream.h \
notebook.h \
object.h \
objstrm.h \
odbc.h \
ownerdrw.h \
palette.h \
panel.h \
paper.h \
pen.h \
plot.h \
print.h \
printdlg.h \
prntbase.h \
process.h \
progdlg.h \
prop.h \
propform.h \
proplist.h \
radiobox.h \
radiobut.h \
region.h \
resource.h \
sashwin.h \
sckaddr.h \
sckipc.h \
sckstrm.h \
scrolbar.h \
scrolwin.h \
serbase.h \
settings.h \
setup.h \
sizer.h \
slider.h \
socket.h \
spinbutt.h \
spinctrl.h \
splitter.h \
statbmp.h \
statbox.h \
statline.h \
stattext.h \
statusbr.h \
strconv.h \
stream.h \
string.h \
tab.h \
tabctrl.h \
taskbar.h \
tbarbase.h \
tbarsmpl.h \
textctrl.h \
textdlg.h \
textfile.h \
thread.h \
time.h \
timer.h \
tipdlg.h \
tokenzr.h \
toolbar.h \
tooltip.h \
treectrl.h \
txtstrm.h \
types.h \
url.h \
utils.h \
valgen.h \
validate.h \
valtext.h \
variant.h \
version.h \
wave.h \
wfstream.h \
window.h \
wizard.h \
wx.h \
wx_cw.h \
wx_cw_cm.h \
wx_cw_d.h \
wxchar.h \
wxexpr.h \
wxhtml.h \
wxprec.h \
xpmhand.h \
zipstrm.h \
zstream.h \
motif/accel.h \
motif/app.h \
motif/bitmap.h \
motif/bmpbuttn.h \
motif/brush.h \
motif/button.h \
motif/checkbox.h \
motif/checklst.h \
motif/choice.h \
motif/clipbrd.h \
motif/colordlg.h \
motif/colour.h \
motif/combobox.h \
motif/control.h \
motif/cursor.h \
motif/dataform.h \
motif/dataobj.h \
motif/dataobj2.h \
motif/dc.h \
motif/dcclient.h \
motif/dcmemory.h \
motif/dcprint.h \
motif/dcscreen.h \
motif/dialog.h \
motif/dnd.h \
motif/filedlg.h \
motif/font.h \
motif/fontdlg.h \
motif/frame.h \
motif/gauge.h \
motif/gdiobj.h \
motif/icon.h \
motif/joystick.h \
motif/listbox.h \
motif/mdi.h \
motif/menu.h \
motif/menuitem.h \
motif/metafile.h \
motif/minifram.h \
motif/msgdlg.h \
motif/palette.h \
motif/pen.h \
motif/print.h \
motif/printdlg.h \
motif/private.h \
motif/radiobox.h \
motif/radiobut.h \
motif/region.h \
motif/scrolbar.h \
motif/settings.h \
motif/slider.h \
motif/spinbutt.h \
motif/statbmp.h \
motif/statbox.h \
motif/stattext.h \
motif/textctrl.h \
motif/timer.h \
motif/toolbar.h \
motif/window.h \
generic/calctrl.h \
generic/caret.h \
generic/choicdgg.h \
generic/colrdlgg.h \
generic/dcpsg.h \
generic/dirdlgg.h \
generic/filedlgg.h \
generic/fontdlgg.h \
generic/grid.h \
generic/gridg.h \
generic/helpext.h \
generic/helphtml.h \
generic/helpwxht.h \
generic/helpxlp.h \
generic/imaglist.h \
generic/laywin.h \
generic/listctrl.h \
generic/msgdlgg.h \
generic/notebook.h \
generic/panelg.h \
generic/plot.h \
generic/printps.h \
generic/prntdlgg.h \
generic/progdlgg.h \
generic/sashwin.h \
generic/scrolwin.h \
generic/splitter.h \
generic/statusbr.h \
generic/tabg.h \
generic/textdlgg.h \
generic/treectrl.h \
generic/wizard.h \
unix/execute.h \
unix/fontutil.h \
unix/gsockunx.h \
unix/mimetype.h \
html/forcelnk.h \
html/helpctrl.h \
html/helpdata.h \
html/helpfrm.h \
html/htmlcell.h \
html/htmldefs.h \
html/htmlfilt.h \
html/htmlpars.h \
html/htmltag.h \
html/htmlwin.h \
html/htmprint.h \
html/m_templ.h \
html/winpars.h \
protocol/file.h \
protocol/ftp.h \
protocol/http.h \
protocol/protocol.h
COMMONOBJS = \
parser.o \
appcmn.o \
choiccmn.o \
clipcmn.o \
cmdline.o \
cmndata.o \
config.o \
ctrlcmn.o \
ctrlsub.o \
datetime.o \
datstrm.o \
db.o \
dbtable.o \
dcbase.o \
dlgcmn.o \
dndcmn.o \
dobjcmn.o \
docmdi.o \
docview.o \
dynarray.o \
dynlib.o \
encconv.o \
event.o \
extended.o \
ffile.o \
file.o \
fileconf.o \
filefn.o \
filesys.o \
fontcmn.o \
fontmap.o \
framecmn.o \
fs_inet.o \
fs_zip.o \
ftp.o \
gdicmn.o \
geometry.o \
gifdecod.o \
hash.o \
helpbase.o \
http.o \
imagall.o \
imagbmp.o \
image.o \
imaggif.o \
imagjpeg.o \
imagpcx.o \
imagpng.o \
imagpnm.o \
imagtiff.o \
intl.o \
ipcbase.o \
layout.o \
lboxcmn.o \
list.o \
log.o \
longlong.o \
memory.o \
menucmn.o \
mimecmn.o \
module.o \
mstream.o \
object.o \
objstrm.o \
paper.o \
prntbase.o \
process.o \
protocol.o \
resource.o \
sckaddr.o \
sckfile.o \
sckipc.o \
sckstrm.o \
serbase.o \
sizer.o \
socket.o \
strconv.o \
stream.o \
string.o \
tbarbase.o \
textcmn.o \
textfile.o \
timercmn.o \
tokenzr.o \
txtstrm.o \
unzip.o \
url.o \
utilscmn.o \
valgen.o \
validate.o \
valtext.o \
variant.o \
wfstream.o \
wincmn.o \
wxchar.o \
wxexpr.o \
zipstrm.o \
zstream.o
COMMONDEPS = \
parser.d \
appcmn.d \
choiccmn.d \
clipcmn.d \
cmdline.d \
cmndata.d \
config.d \
ctrlcmn.d \
ctrlsub.d \
datetime.d \
datstrm.d \
db.d \
dbtable.d \
dcbase.d \
dlgcmn.d \
dndcmn.d \
dobjcmn.d \
docmdi.d \
docview.d \
dynarray.d \
dynlib.d \
encconv.d \
event.d \
extended.d \
ffile.d \
file.d \
fileconf.d \
filefn.d \
filesys.d \
fontcmn.d \
fontmap.d \
framecmn.d \
fs_inet.d \
fs_zip.d \
ftp.d \
gdicmn.d \
geometry.d \
gifdecod.d \
hash.d \
helpbase.d \
http.d \
imagall.d \
imagbmp.d \
image.d \
imaggif.d \
imagjpeg.d \
imagpcx.d \
imagpng.d \
imagpnm.d \
imagtiff.d \
intl.d \
ipcbase.d \
layout.d \
lboxcmn.d \
list.d \
log.d \
longlong.d \
memory.d \
menucmn.d \
mimecmn.d \
module.d \
mstream.d \
object.d \
objstrm.d \
paper.d \
prntbase.d \
process.d \
protocol.d \
resource.d \
sckaddr.d \
sckfile.d \
sckipc.d \
sckstrm.d \
serbase.d \
sizer.d \
socket.d \
strconv.d \
stream.d \
string.d \
tbarbase.d \
textcmn.d \
textfile.d \
timercmn.d \
tokenzr.d \
txtstrm.d \
unzip.d \
url.d \
utilscmn.d \
valgen.d \
validate.d \
valtext.d \
variant.d \
wfstream.d \
wincmn.d \
wxchar.d \
wxexpr.d \
zipstrm.d \
zstream.d
GENERICOBJS = \
busyinfo.o \
calctrl.o \
caret.o \
choicdgg.o \
colrdlgg.o \
dcpsg.o \
dirdlgg.o \
fontdlgg.o \
grid.o \
helpext.o \
helphtml.o \
helpwxht.o \
helpxlp.o \
imaglist.o \
laywin.o \
listctrl.o \
logg.o \
msgdlgg.o \
notebook.o \
numdlgg.o \
panelg.o \
plot.o \
printps.o \
prntdlgg.o \
progdlgg.o \
prop.o \
propform.o \
proplist.o \
sashwin.o \
scrolwin.o \
splitter.o \
statline.o \
statusbr.o \
tabg.o \
tbarsmpl.o \
textdlgg.o \
tipdlg.o \
treectrl.o \
wizard.o
GENERICDEPS = \
busyinfo.d \
calctrl.d \
caret.d \
choicdgg.d \
colrdlgg.d \
dcpsg.d \
dirdlgg.d \
fontdlgg.d \
grid.d \
helpext.d \
helphtml.d \
helpwxht.d \
helpxlp.d \
imaglist.d \
laywin.d \
listctrl.d \
logg.d \
msgdlgg.d \
notebook.d \
numdlgg.d \
panelg.d \
plot.d \
printps.d \
prntdlgg.d \
progdlgg.d \
prop.d \
propform.d \
proplist.d \
sashwin.d \
scrolwin.d \
splitter.d \
statline.d \
statusbr.d \
tabg.d \
tbarsmpl.d \
textdlgg.d \
tipdlg.d \
treectrl.d \
wizard.d
GUIOBJS = \
xmcombo.o \
accel.o \
app.o \
bitmap.o \
bmpbuttn.o \
brush.o \
button.o \
checkbox.o \
checklst.o \
choice.o \
clipbrd.o \
colour.o \
combobox.o \
control.o \
cursor.o \
data.o \
dataobj.o \
dc.o \
dcclient.o \
dcmemory.o \
dcscreen.o \
dialog.o \
filedlg.o \
font.o \
frame.o \
gauge.o \
gdiobj.o \
gsockmot.o \
icon.o \
listbox.o \
main.o \
mdi.o \
menu.o \
menuitem.o \
minifram.o \
msgdlg.o \
palette.o \
pen.o \
radiobox.o \
radiobut.o \
region.o \
scrolbar.o \
settings.o \
slider.o \
spinbutt.o \
statbmp.o \
statbox.o \
stattext.o \
textctrl.o \
timer.o \
toolbar.o \
utils.o \
window.o
GUIDEPS = \
accel.d \
app.d \
bitmap.d \
bmpbuttn.d \
brush.d \
button.d \
checkbox.d \
checklst.d \
choice.d \
clipbrd.d \
colour.d \
combobox.d \
control.d \
cursor.d \
data.d \
dataobj.d \
dc.d \
dcclient.d \
dcmemory.d \
dcscreen.d \
dialog.d \
filedlg.d \
font.d \
frame.d \
gauge.d \
gdiobj.d \
gsockmot.d \
icon.d \
listbox.d \
main.d \
mdi.d \
menu.d \
menuitem.d \
minifram.d \
msgdlg.d \
palette.d \
pen.d \
radiobox.d \
radiobut.d \
region.d \
scrolbar.d \
settings.d \
slider.d \
spinbutt.d \
statbmp.d \
statbox.d \
stattext.d \
textctrl.d \
timer.d \
toolbar.d \
utils.d \
window.d
UNIXOBJS = \
dialup.o \
dir.o \
fontenum.o \
fontutil.o \
gsocket.o \
mimetype.o \
threadpsx.o \
utilsunx.o
UNIXDEPS = \
dialup.d \
dir.d \
fontenum.d \
fontutil.d \
gsocket.d \
mimetype.d \
threadpsx.d \
utilsunx.d
HTMLOBJS = \
helpctrl.o \
helpdata.o \
helpfrm.o \
htmlcell.o \
htmlfilt.o \
htmlpars.o \
htmltag.o \
htmlwin.o \
htmprint.o \
m_dflist.o \
m_fonts.o \
m_hline.o \
m_image.o \
m_layout.o \
m_links.o \
m_list.o \
m_meta.o \
m_pre.o \
m_tables.o \
winpars.o
HTMLDEPS = \
helpctrl.d \
helpdata.d \
helpfrm.d \
htmlcell.d \
htmlfilt.d \
htmlpars.d \
htmltag.d \
htmlwin.d \
htmprint.d \
m_dflist.d \
m_fonts.d \
m_hline.d \
m_image.d \
m_layout.d \
m_links.d \
m_list.d \
m_meta.d \
m_pre.d \
m_tables.d \
winpars.d
IODBCOBJS = \
IODBCDEPS = \

58
src/rpmfiles.lst Normal file
View File

@ -0,0 +1,58 @@
/usr/include/wx/app.h
/usr/include/wx/arrimpl.cpp
/usr/include/wx/buffer.h
/usr/include/wx/cmdline.h
/usr/include/wx/confbase.h
/usr/include/wx/config.h
/usr/include/wx/date.h
/usr/include/wx/datetime.h
/usr/include/wx/datetime.inl
/usr/include/wx/datstrm.h
/usr/include/wx/debug.h
/usr/include/wx/defs.h
/usr/include/wx/dir.h
/usr/include/wx/dynarray.h
/usr/include/wx/dynlib.h
/usr/include/wx/event.h
/usr/include/wx/ffile.h
/usr/include/wx/file.h
/usr/include/wx/fileconf.h
/usr/include/wx/filefn.h
/usr/include/wx/filesys.h
/usr/include/wx/hash.h
/usr/include/wx/intl.h
/usr/include/wx/ioswrap.h
/usr/include/wx/list.h
/usr/include/wx/listimpl.cpp
/usr/include/wx/log.h
/usr/include/wx/longlong.h
/usr/include/wx/memconf.h
/usr/include/wx/memory.h
/usr/include/wx/mimetype.h
/usr/include/wx/module.h
/usr/include/wx/object.h
/usr/include/wx/objstrm.h
/usr/include/wx/process.h
/usr/include/wx/serbase.h
/usr/include/wx/strconv.h
/usr/include/wx/stream.h
/usr/include/wx/string.h
/usr/include/wx/textfile.h
/usr/include/wx/thread.h
/usr/include/wx/time.h
/usr/include/wx/timer.h
/usr/include/wx/tokenzr.h
/usr/include/wx/txtstrm.h
/usr/include/wx/url.h
/usr/include/wx/utils.h
/usr/include/wx/variant.h
/usr/include/wx/version.h
/usr/include/wx/wfstream.h
/usr/include/wx/wx.h
/usr/include/wx/wxchar.h
/usr/include/wx/wxprec.h
/usr/include/wx/unix/mimetype.h
/usr/include/wx/protocol/file.h
/usr/include/wx/protocol/ftp.h
/usr/include/wx/protocol/http.h
/usr/include/wx/protocol/protocol.h

View File

@ -4,7 +4,7 @@
# Created: 1998
# Updated:
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../../..
program_dir = utils/HelpGen/src

813
utils/configure vendored Executable file
View File

@ -0,0 +1,813 @@
#! /bin/sh
# From configure.in Id
# Guess values for system-dependent variables and create Makefiles.
# Generated automatically using autoconf version 2.13
# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
#
# This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.
# Defaults:
ac_help=
ac_default_prefix=/usr/local
# Any additions from configure.in:
# Initialize some variables set by options.
# The variables have the same names as the options, with
# dashes changed to underlines.
build=NONE
cache_file=./config.cache
exec_prefix=NONE
host=NONE
no_create=
nonopt=NONE
no_recursion=
prefix=NONE
program_prefix=NONE
program_suffix=NONE
program_transform_name=s,x,x,
silent=
site=
srcdir=
target=NONE
verbose=
x_includes=NONE
x_libraries=NONE
bindir='${exec_prefix}/bin'
sbindir='${exec_prefix}/sbin'
libexecdir='${exec_prefix}/libexec'
datadir='${prefix}/share'
sysconfdir='${prefix}/etc'
sharedstatedir='${prefix}/com'
localstatedir='${prefix}/var'
libdir='${exec_prefix}/lib'
includedir='${prefix}/include'
oldincludedir='/usr/include'
infodir='${prefix}/info'
mandir='${prefix}/man'
# Initialize some other variables.
subdirs=
MFLAGS= MAKEFLAGS=
SHELL=${CONFIG_SHELL-/bin/sh}
# Maximum number of lines to put in a shell here document.
ac_max_here_lines=12
ac_prev=
for ac_option
do
# If the previous option needs an argument, assign it.
if test -n "$ac_prev"; then
eval "$ac_prev=\$ac_option"
ac_prev=
continue
fi
case "$ac_option" in
-*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
*) ac_optarg= ;;
esac
# Accept the important Cygnus configure options, so we can diagnose typos.
case "$ac_option" in
-bindir | --bindir | --bindi | --bind | --bin | --bi)
ac_prev=bindir ;;
-bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
bindir="$ac_optarg" ;;
-build | --build | --buil | --bui | --bu)
ac_prev=build ;;
-build=* | --build=* | --buil=* | --bui=* | --bu=*)
build="$ac_optarg" ;;
-cache-file | --cache-file | --cache-fil | --cache-fi \
| --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
ac_prev=cache_file ;;
-cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
| --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
cache_file="$ac_optarg" ;;
-datadir | --datadir | --datadi | --datad | --data | --dat | --da)
ac_prev=datadir ;;
-datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
| --da=*)
datadir="$ac_optarg" ;;
-disable-* | --disable-*)
ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
# Reject names that are not valid shell variable names.
if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
{ echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
fi
ac_feature=`echo $ac_feature| sed 's/-/_/g'`
eval "enable_${ac_feature}=no" ;;
-enable-* | --enable-*)
ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
# Reject names that are not valid shell variable names.
if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
{ echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
fi
ac_feature=`echo $ac_feature| sed 's/-/_/g'`
case "$ac_option" in
*=*) ;;
*) ac_optarg=yes ;;
esac
eval "enable_${ac_feature}='$ac_optarg'" ;;
-exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
| --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
| --exec | --exe | --ex)
ac_prev=exec_prefix ;;
-exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
| --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
| --exec=* | --exe=* | --ex=*)
exec_prefix="$ac_optarg" ;;
-gas | --gas | --ga | --g)
# Obsolete; use --with-gas.
with_gas=yes ;;
-help | --help | --hel | --he)
# Omit some internal or obsolete options to make the list less imposing.
# This message is too long to be a string in the A/UX 3.1 sh.
cat << EOF
Usage: configure [options] [host]
Options: [defaults in brackets after descriptions]
Configuration:
--cache-file=FILE cache test results in FILE
--help print this message
--no-create do not create output files
--quiet, --silent do not print \`checking...' messages
--version print the version of autoconf that created configure
Directory and file names:
--prefix=PREFIX install architecture-independent files in PREFIX
[$ac_default_prefix]
--exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
[same as prefix]
--bindir=DIR user executables in DIR [EPREFIX/bin]
--sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
--libexecdir=DIR program executables in DIR [EPREFIX/libexec]
--datadir=DIR read-only architecture-independent data in DIR
[PREFIX/share]
--sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
--sharedstatedir=DIR modifiable architecture-independent data in DIR
[PREFIX/com]
--localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
--libdir=DIR object code libraries in DIR [EPREFIX/lib]
--includedir=DIR C header files in DIR [PREFIX/include]
--oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
--infodir=DIR info documentation in DIR [PREFIX/info]
--mandir=DIR man documentation in DIR [PREFIX/man]
--srcdir=DIR find the sources in DIR [configure dir or ..]
--program-prefix=PREFIX prepend PREFIX to installed program names
--program-suffix=SUFFIX append SUFFIX to installed program names
--program-transform-name=PROGRAM
run sed PROGRAM on installed program names
EOF
cat << EOF
Host type:
--build=BUILD configure for building on BUILD [BUILD=HOST]
--host=HOST configure for HOST [guessed]
--target=TARGET configure for TARGET [TARGET=HOST]
Features and packages:
--disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
--enable-FEATURE[=ARG] include FEATURE [ARG=yes]
--with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
--without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
--x-includes=DIR X include files are in DIR
--x-libraries=DIR X library files are in DIR
EOF
if test -n "$ac_help"; then
echo "--enable and --with options recognized:$ac_help"
fi
exit 0 ;;
-host | --host | --hos | --ho)
ac_prev=host ;;
-host=* | --host=* | --hos=* | --ho=*)
host="$ac_optarg" ;;
-includedir | --includedir | --includedi | --included | --include \
| --includ | --inclu | --incl | --inc)
ac_prev=includedir ;;
-includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
| --includ=* | --inclu=* | --incl=* | --inc=*)
includedir="$ac_optarg" ;;
-infodir | --infodir | --infodi | --infod | --info | --inf)
ac_prev=infodir ;;
-infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
infodir="$ac_optarg" ;;
-libdir | --libdir | --libdi | --libd)
ac_prev=libdir ;;
-libdir=* | --libdir=* | --libdi=* | --libd=*)
libdir="$ac_optarg" ;;
-libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
| --libexe | --libex | --libe)
ac_prev=libexecdir ;;
-libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
| --libexe=* | --libex=* | --libe=*)
libexecdir="$ac_optarg" ;;
-localstatedir | --localstatedir | --localstatedi | --localstated \
| --localstate | --localstat | --localsta | --localst \
| --locals | --local | --loca | --loc | --lo)
ac_prev=localstatedir ;;
-localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
| --localstate=* | --localstat=* | --localsta=* | --localst=* \
| --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
localstatedir="$ac_optarg" ;;
-mandir | --mandir | --mandi | --mand | --man | --ma | --m)
ac_prev=mandir ;;
-mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
mandir="$ac_optarg" ;;
-nfp | --nfp | --nf)
# Obsolete; use --without-fp.
with_fp=no ;;
-no-create | --no-create | --no-creat | --no-crea | --no-cre \
| --no-cr | --no-c)
no_create=yes ;;
-no-recursion | --no-recursion | --no-recursio | --no-recursi \
| --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
no_recursion=yes ;;
-oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
| --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
| --oldin | --oldi | --old | --ol | --o)
ac_prev=oldincludedir ;;
-oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
| --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
| --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
oldincludedir="$ac_optarg" ;;
-prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
ac_prev=prefix ;;
-prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
prefix="$ac_optarg" ;;
-program-prefix | --program-prefix | --program-prefi | --program-pref \
| --program-pre | --program-pr | --program-p)
ac_prev=program_prefix ;;
-program-prefix=* | --program-prefix=* | --program-prefi=* \
| --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
program_prefix="$ac_optarg" ;;
-program-suffix | --program-suffix | --program-suffi | --program-suff \
| --program-suf | --program-su | --program-s)
ac_prev=program_suffix ;;
-program-suffix=* | --program-suffix=* | --program-suffi=* \
| --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
program_suffix="$ac_optarg" ;;
-program-transform-name | --program-transform-name \
| --program-transform-nam | --program-transform-na \
| --program-transform-n | --program-transform- \
| --program-transform | --program-transfor \
| --program-transfo | --program-transf \
| --program-trans | --program-tran \
| --progr-tra | --program-tr | --program-t)
ac_prev=program_transform_name ;;
-program-transform-name=* | --program-transform-name=* \
| --program-transform-nam=* | --program-transform-na=* \
| --program-transform-n=* | --program-transform-=* \
| --program-transform=* | --program-transfor=* \
| --program-transfo=* | --program-transf=* \
| --program-trans=* | --program-tran=* \
| --progr-tra=* | --program-tr=* | --program-t=*)
program_transform_name="$ac_optarg" ;;
-q | -quiet | --quiet | --quie | --qui | --qu | --q \
| -silent | --silent | --silen | --sile | --sil)
silent=yes ;;
-sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
ac_prev=sbindir ;;
-sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
| --sbi=* | --sb=*)
sbindir="$ac_optarg" ;;
-sharedstatedir | --sharedstatedir | --sharedstatedi \
| --sharedstated | --sharedstate | --sharedstat | --sharedsta \
| --sharedst | --shareds | --shared | --share | --shar \
| --sha | --sh)
ac_prev=sharedstatedir ;;
-sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
| --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
| --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
| --sha=* | --sh=*)
sharedstatedir="$ac_optarg" ;;
-site | --site | --sit)
ac_prev=site ;;
-site=* | --site=* | --sit=*)
site="$ac_optarg" ;;
-srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
ac_prev=srcdir ;;
-srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
srcdir="$ac_optarg" ;;
-sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
| --syscon | --sysco | --sysc | --sys | --sy)
ac_prev=sysconfdir ;;
-sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
| --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
sysconfdir="$ac_optarg" ;;
-target | --target | --targe | --targ | --tar | --ta | --t)
ac_prev=target ;;
-target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
target="$ac_optarg" ;;
-v | -verbose | --verbose | --verbos | --verbo | --verb)
verbose=yes ;;
-version | --version | --versio | --versi | --vers)
echo "configure generated by autoconf version 2.13"
exit 0 ;;
-with-* | --with-*)
ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
# Reject names that are not valid shell variable names.
if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
{ echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
fi
ac_package=`echo $ac_package| sed 's/-/_/g'`
case "$ac_option" in
*=*) ;;
*) ac_optarg=yes ;;
esac
eval "with_${ac_package}='$ac_optarg'" ;;
-without-* | --without-*)
ac_package=`echo $ac_option|sed -e 's/-*without-//'`
# Reject names that are not valid shell variable names.
if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
{ echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
fi
ac_package=`echo $ac_package| sed 's/-/_/g'`
eval "with_${ac_package}=no" ;;
--x)
# Obsolete; use --with-x.
with_x=yes ;;
-x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
| --x-incl | --x-inc | --x-in | --x-i)
ac_prev=x_includes ;;
-x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
| --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
x_includes="$ac_optarg" ;;
-x-libraries | --x-libraries | --x-librarie | --x-librari \
| --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
ac_prev=x_libraries ;;
-x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
| --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
x_libraries="$ac_optarg" ;;
-*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
;;
*)
if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
echo "configure: warning: $ac_option: invalid host type" 1>&2
fi
if test "x$nonopt" != xNONE; then
{ echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
fi
nonopt="$ac_option"
;;
esac
done
if test -n "$ac_prev"; then
{ echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
fi
trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
# File descriptor usage:
# 0 standard input
# 1 file creation
# 2 errors and warnings
# 3 some systems may open it to /dev/tty
# 4 used on the Kubota Titan
# 6 checking for... messages and results
# 5 compiler messages saved in config.log
if test "$silent" = yes; then
exec 6>/dev/null
else
exec 6>&1
fi
exec 5>./config.log
echo "\
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
" 1>&5
# Strip out --no-create and --no-recursion so they do not pile up.
# Also quote any args containing shell metacharacters.
ac_configure_args=
for ac_arg
do
case "$ac_arg" in
-no-create | --no-create | --no-creat | --no-crea | --no-cre \
| --no-cr | --no-c) ;;
-no-recursion | --no-recursion | --no-recursio | --no-recursi \
| --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
*" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
ac_configure_args="$ac_configure_args '$ac_arg'" ;;
*) ac_configure_args="$ac_configure_args $ac_arg" ;;
esac
done
# NLS nuisances.
# Only set these to C if already set. These must not be set unconditionally
# because not all systems understand e.g. LANG=C (notably SCO).
# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
# Non-C LC_CTYPE values break the ctype check.
if test "${LANG+set}" = set; then LANG=C; export LANG; fi
if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
# confdefs.h avoids OS command line length limits that DEFS can exceed.
rm -rf conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.h
# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
ac_unique_file=Makefile.in
# Find the source files, if location was not specified.
if test -z "$srcdir"; then
ac_srcdir_defaulted=yes
# Try the directory containing this script, then its parent.
ac_prog=$0
ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
srcdir=$ac_confdir
if test ! -r $srcdir/$ac_unique_file; then
srcdir=..
fi
else
ac_srcdir_defaulted=no
fi
if test ! -r $srcdir/$ac_unique_file; then
if test "$ac_srcdir_defaulted" = yes; then
{ echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
else
{ echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
fi
fi
srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
# Prefer explicitly selected file to automatically selected ones.
if test -z "$CONFIG_SITE"; then
if test "x$prefix" != xNONE; then
CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
else
CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
fi
fi
for ac_site_file in $CONFIG_SITE; do
if test -r "$ac_site_file"; then
echo "loading site script $ac_site_file"
. "$ac_site_file"
fi
done
if test -r "$cache_file"; then
echo "loading cache $cache_file"
. $cache_file
else
echo "creating cache $cache_file"
> $cache_file
fi
ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CPP $CPPFLAGS'
ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
cross_compiling=$ac_cv_prog_cc_cross
ac_exeext=
ac_objext=o
if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
# Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
ac_n= ac_c='
' ac_t=' '
else
ac_n=-n ac_c= ac_t=
fi
else
ac_n= ac_c='\c' ac_t=
fi
GL_TOOLKIT_DIR=$wx_cv_path_glcanvas
trap '' 1 2 15
cat > confcache <<\EOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
# scripts and configure runs. It is not useful on other systems.
# If it contains results you don't want to keep, you may remove or edit it.
#
# By default, configure uses ./config.cache as the cache file,
# creating it if it does not exist already. You can give configure
# the --cache-file=FILE option to use a different cache file; that is
# what configure does when it calls configure scripts in
# subdirectories, so they share the cache.
# Giving --cache-file=/dev/null disables caching, for debugging configure.
# config.status only pays attention to the cache file if you give it the
# --recheck option to rerun configure.
#
EOF
# The following way of writing the cache mishandles newlines in values,
# but we know of no workaround that is simple, portable, and efficient.
# So, don't put newlines in cache variables' values.
# Ultrix sh set writes to stderr and can't be redirected directly,
# and sets the high bit in the cache file unless we assign to the vars.
(set) 2>&1 |
case `(ac_space=' '; set | grep ac_space) 2>&1` in
*ac_space=\ *)
# `set' does not quote correctly, so add quotes (double-quote substitution
# turns \\\\ into \\, and sed turns \\ into \).
sed -n \
-e "s/'/'\\\\''/g" \
-e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
;;
*)
# `set' quotes correctly as required by POSIX, so do not add quotes.
sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
;;
esac >> confcache
if cmp -s $cache_file confcache; then
:
else
if test -w $cache_file; then
echo "updating cache $cache_file"
cat confcache > $cache_file
else
echo "not updating unwritable cache $cache_file"
fi
fi
rm -f confcache
trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
test "x$prefix" = xNONE && prefix=$ac_default_prefix
# Let make expand exec_prefix.
test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
# Any assignment to VPATH causes Sun make to only execute
# the first set of double-colon rules, so remove it if not needed.
# If there is a colon in the path, we need to keep it.
if test "x$srcdir" = x.; then
ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
fi
trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
# Transform confdefs.h into DEFS.
# Protect against shell expansion while executing Makefile rules.
# Protect against Makefile macro expansion.
cat > conftest.defs <<\EOF
s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
s%\[%\\&%g
s%\]%\\&%g
s%\$%$$%g
EOF
DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
rm -f conftest.defs
# Without the "./", some shells look in PATH for config.status.
: ${CONFIG_STATUS=./config.status}
echo creating $CONFIG_STATUS
rm -f $CONFIG_STATUS
cat > $CONFIG_STATUS <<EOF
#! /bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
# $0 $ac_configure_args
#
# Compiler output produced by configure, useful for debugging
# configure, is in ./config.log if it exists.
ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
for ac_option
do
case "\$ac_option" in
-recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
-version | --version | --versio | --versi | --vers | --ver | --ve | --v)
echo "$CONFIG_STATUS generated by autoconf version 2.13"
exit 0 ;;
-help | --help | --hel | --he | --h)
echo "\$ac_cs_usage"; exit 0 ;;
*) echo "\$ac_cs_usage"; exit 1 ;;
esac
done
ac_given_srcdir=$srcdir
trap 'rm -fr `echo "
Makefile
wxMMedia2/Makefile
wxMMedia2/lib/Makefile
wxMMedia2/sample/Makefile
glcanvas/Makefile
glcanvas/${GL_TOOLKIT_DIR}/Makefile
ogl/Makefile
ogl/src/Makefile
makegen/Makefile
HelpGen/Makefile
HelpGen/src/Makefile
tex2rtf/Makefile
tex2rtf/src/Makefile
hhp2cached/Makefile
dialoged/Makefile
dialoged/src/Makefile
" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
EOF
cat >> $CONFIG_STATUS <<EOF
# Protect against being on the right side of a sed subst in config.status.
sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
$ac_vpsub
$extrasub
s%@SHELL@%$SHELL%g
s%@CFLAGS@%$CFLAGS%g
s%@CPPFLAGS@%$CPPFLAGS%g
s%@CXXFLAGS@%$CXXFLAGS%g
s%@FFLAGS@%$FFLAGS%g
s%@DEFS@%$DEFS%g
s%@LDFLAGS@%$LDFLAGS%g
s%@LIBS@%$LIBS%g
s%@exec_prefix@%$exec_prefix%g
s%@prefix@%$prefix%g
s%@program_transform_name@%$program_transform_name%g
s%@bindir@%$bindir%g
s%@sbindir@%$sbindir%g
s%@libexecdir@%$libexecdir%g
s%@datadir@%$datadir%g
s%@sysconfdir@%$sysconfdir%g
s%@sharedstatedir@%$sharedstatedir%g
s%@localstatedir@%$localstatedir%g
s%@libdir@%$libdir%g
s%@includedir@%$includedir%g
s%@oldincludedir@%$oldincludedir%g
s%@infodir@%$infodir%g
s%@mandir@%$mandir%g
s%@GL_TOOLKIT_DIR@%$GL_TOOLKIT_DIR%g
CEOF
EOF
cat >> $CONFIG_STATUS <<\EOF
# Split the substitutions into bite-sized pieces for seds with
# small command number limits, like on Digital OSF/1 and HP-UX.
ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
ac_file=1 # Number of current file.
ac_beg=1 # First line for current file.
ac_end=$ac_max_sed_cmds # Line after last line for current file.
ac_more_lines=:
ac_sed_cmds=""
while $ac_more_lines; do
if test $ac_beg -gt 1; then
sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
else
sed "${ac_end}q" conftest.subs > conftest.s$ac_file
fi
if test ! -s conftest.s$ac_file; then
ac_more_lines=false
rm -f conftest.s$ac_file
else
if test -z "$ac_sed_cmds"; then
ac_sed_cmds="sed -f conftest.s$ac_file"
else
ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
fi
ac_file=`expr $ac_file + 1`
ac_beg=$ac_end
ac_end=`expr $ac_end + $ac_max_sed_cmds`
fi
done
if test -z "$ac_sed_cmds"; then
ac_sed_cmds=cat
fi
EOF
cat >> $CONFIG_STATUS <<EOF
CONFIG_FILES=\${CONFIG_FILES-"Makefile
wxMMedia2/Makefile
wxMMedia2/lib/Makefile
wxMMedia2/sample/Makefile
glcanvas/Makefile
glcanvas/${GL_TOOLKIT_DIR}/Makefile
ogl/Makefile
ogl/src/Makefile
makegen/Makefile
HelpGen/Makefile
HelpGen/src/Makefile
tex2rtf/Makefile
tex2rtf/src/Makefile
hhp2cached/Makefile
dialoged/Makefile
dialoged/src/Makefile
"}
EOF
cat >> $CONFIG_STATUS <<\EOF
for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
# Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
case "$ac_file" in
*:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
*) ac_file_in="${ac_file}.in" ;;
esac
# Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
# Remove last slash and all that follows it. Not all systems have dirname.
ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
# The file is in a subdirectory.
test ! -d "$ac_dir" && mkdir "$ac_dir"
ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
# A "../" for each directory in $ac_dir_suffix.
ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
else
ac_dir_suffix= ac_dots=
fi
case "$ac_given_srcdir" in
.) srcdir=.
if test -z "$ac_dots"; then top_srcdir=.
else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
/*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
*) # Relative path.
srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
top_srcdir="$ac_dots$ac_given_srcdir" ;;
esac
echo creating "$ac_file"
rm -f "$ac_file"
configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
case "$ac_file" in
*Makefile*) ac_comsub="1i\\
# $configure_input" ;;
*) ac_comsub= ;;
esac
ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
sed -e "$ac_comsub
s%@configure_input@%$configure_input%g
s%@srcdir@%$srcdir%g
s%@top_srcdir@%$top_srcdir%g
" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
fi; done
rm -f conftest.s*
EOF
cat >> $CONFIG_STATUS <<EOF
EOF
cat >> $CONFIG_STATUS <<\EOF
exit 0
EOF
chmod +x $CONFIG_STATUS
rm -fr confdefs* $ac_clean_files
test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1

26
utils/configure.in Normal file
View File

@ -0,0 +1,26 @@
dnl Process this file with autoconf to produce a configure script.
AC_REVISION($Id$)dnl
AC_INIT(Makefile.in)
GL_TOOLKIT_DIR=$wx_cv_path_glcanvas
AC_SUBST(GL_TOOLKIT_DIR)
AC_OUTPUT([
Makefile
wxMMedia2/Makefile
wxMMedia2/lib/Makefile
wxMMedia2/sample/Makefile
glcanvas/Makefile
glcanvas/${GL_TOOLKIT_DIR}/Makefile
ogl/Makefile
ogl/src/Makefile
makegen/Makefile
HelpGen/Makefile
HelpGen/src/Makefile
tex2rtf/Makefile
tex2rtf/src/Makefile
hhp2cached/Makefile
dialoged/Makefile
dialoged/src/Makefile
])

View File

@ -9,7 +9,7 @@
#
# Makefile for Tex2RTF (Unix)
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../../..
program_dir = utils/dialoged/src

View File

@ -9,7 +9,7 @@
#
# Makefile for wxMultiMedia (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../../..
VPATH= $(top_srcdir)/utils/glcanvas/gtk

View File

@ -8,7 +8,7 @@
# "%W% %G%"
#
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../../..
VPATH= $(top_srcdir)/utils/glcanvas/win

View File

@ -1,7 +1,7 @@
# Purpose: makefile for hhp2cached (UNIX).
# Created: 2000-01-19
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = utils/hhp2cached

View File

@ -1,7 +1,7 @@
# Purpose: makefile for makegen example (UNIX).
# Created: 2000-01-03
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = utils/makegen

View File

@ -1,7 +1,7 @@
# Purpose: makefile for #NAME example (UNIX).
# Created: #DATE
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../..
program_dir = samples/#NAME

View File

@ -1,6 +1,6 @@
#
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../../..
VPATH= $(top_srcdir)/utils/ogl/src

View File

@ -12,7 +12,7 @@
EXTRADEFS=-DNO_GUI
# comment out if you want GUI version of tex2rtf...
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../../..
program_dir = utils/tex2rtf/src

View File

@ -9,7 +9,7 @@
#
# Makefile for wxMultiMedia (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../../..
VPATH= $(top_srcdir)/utils/wxMMedia2/lib

View File

@ -9,7 +9,7 @@
#
# Makefile for wxsocket example (UNIX).
top_srcdir = @top_srcdir@
top_srcdir = @top_srcdir@/..
top_builddir = ../../..
program_dir = utils/wxMMedia2/sample
# the comment at the end of the next line is needed because otherwise autoconf